using Rational.Test.Ft.Domain;
using Rational.Test.Ft.Domain.Net;
using Rational.Test.Ft.Vp;
using Rational.Test.Ft.Vp.Impl;

namespace SDK.Sample
{
	/// <summary>
	/// Summary description for FormattedTextProxy.
	/// </summary>
	public class FormattedTextProxy: TextBoxProxy
	{
		public FormattedTextProxy(NetTestDomainImplementation domain,
			IChannel channel,
			System.Object theAUTObject): base( domain, channel, theAUTObject)
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		public override System.Collections.Hashtable GetProperties()
		{
			System.Collections.Hashtable properties = base.GetProperties();
			properties.Add("UnformattedValue", ((FormattedText)this.theTestObject).DateString);
			return properties;
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="propertyName"></param>
		/// <returns></returns>
		public override object GetProperty(string propertyName)
		{
			if ( propertyName == "UnformattedValue")
				return ((FormattedText)this.theTestObject).DateString;
			else
				return base.GetProperty(propertyName);
		}

		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		public override System.Collections.Hashtable GetTestDataTypes()
		{
			System.Collections.Hashtable testDataTypes = base.GetTestDataTypes();
			testDataTypes.Add("value", "Unformated Value");
			return testDataTypes;
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="testDataType"></param>
		/// <returns></returns>
		public override Rational.Test.Ft.Vp.ITestData GetTestData(string testDataType)
		{
			if ( testDataType == "value")
				return  new  TestDataText(((FormattedText)this.theTestObject).DateString);
			else
				return base.GetTestData (testDataType);
		}

	}
}
